Index: utilities.f
===================================================================
--- utilities.f	(revision 87ddcf7a314d90070d607f0ec7ac0a700b843abc)
+++ utilities.f	(revision e40e335d8909b50cd784019735fcdb0c28ee19bb)
@@ -7,20 +7,17 @@
 ! *********************************************************************
 
-!> Calculate the best way to distribute the work load across processors.
-!!  It calculates the average number of interactions and then tries to
-!!  assign a number of interactions to each processor that is as close
-!!  as possible to the average. The routine should be called once for
-!!  every molecule in the system.
-!!
-!!  @param num_ppr Number of processors per replica
-!!  @param nml index of molecule or zero.
-!!
-!!  @author Jan H. Meinke
-!<
+!! Calculate the best way to distribute the work load across processors.
+!  It calculates the average number of interactions and then tries to 
+!  assign a number of interactions to each processor that is as close
+!  as possible to the average. The routine should be called once for
+!  every molecule in the system.
+!
+!  @param num_ppr Number of processors per replica
+!  @param nml index of molecule or zero.
+!
+!  @author Jan H. Meinke
       subroutine distributeWorkLoad(num_ppr,nml)
 
       include 'INCL.H'
-
-      integer i1ms, io, iv, i2ms, ms
 
       integer num_ppr, nml
@@ -29,5 +26,5 @@
       integer totalct, irank, itarget
       double precision ipps
-
+      
       if (nml.eq.0) then
          idxOfFirstVariable = ivrml1(1)
@@ -39,5 +36,5 @@
             end do
          end do
-      else
+      else 
          idxOfFirstVariable = ivrml1(nml)
          idxOfLastVariable = ivrml1(nml) + nvrml(nml) - 1
@@ -47,5 +44,5 @@
          end do
       end if
-
+      
       isum = 0
       do io = idxOfLastVariable, idxOfFirstVariable, - 1
@@ -55,10 +52,10 @@
          do ms = i1ms, i2ms
             do at = latms1(ms), latms2(ms)
-               do ivw=ivwat1(at),ivwat2(at)
+               do ivw=ivwat1(at),ivwat2(at)  
                   do j=lvwat1(ivw),lvwat2(ivw)
                      isum = isum + 1
                   end do
                end do
-               do i14=i14at1(at),i14at2(at)
+               do i14=i14at1(at),i14at2(at)   
                   isum = isum + 1
                end do
@@ -67,8 +64,7 @@
       end do
       ipps = isum / num_ppr
-      write (logString, *) "Total number of interactions:", isum
-      write (logString, *) "Average # of interactions per processor", 
-     &   ipps
-
+      write (*,*) "Total number of interactions:", isum
+      write (*,*) "Average # of interactions per processor", ipps
+      
       totalct = 0
       irank = 1
@@ -76,9 +72,9 @@
       if (nml.eq.0) then
          i1ms = imsml1(ntlml)+ nmsml(ntlml)
-      else
+      else 
          i1ms = imsml1(nml)+ nmsml(nml)
       end if
       do io = idxOfLastVariable, idxOfFirstVariable, - 1
-         isum = 0
+         isum = 0 
          iv = iorvr(io)
          i2ms = i1ms - 1
@@ -87,10 +83,10 @@
             do at = latms1(ms), latms2(ms)
                atct = atct + 1
-               do ivw=ivwat1(at),ivwat2(at)
+               do ivw=ivwat1(at),ivwat2(at)  
                   do j=lvwat1(ivw),lvwat2(ivw)
                      isum = isum + 1
                   end do
                end do
-               do i14=i14at1(at),i14at2(at)
+               do i14=i14at1(at),i14at2(at)   
                   isum = isum + 1
                end do
@@ -103,8 +99,8 @@
      &            .lt.abs(totalct + isum - itarget))) then
                workPerProcessor(nml, irank) = io + 1
-!                write (logString, *) io + 1, totalct, itarget
+!                write (*,*) io + 1, totalct, itarget
             else
                workPerProcessor(nml, irank) = io
-!                write (logString, *) io, totalct + isum, itarget
+!                write (*,*) io, totalct + isum, itarget
             end if
             irank = irank + 1
@@ -117,32 +113,32 @@
 
       end subroutine distributeWorkLoad
-
-!>
-!!     The function fileNameMP takes a template of a file name in the
-!!     variable base. The position of the first and last character that
-!!     may be replaced by rank in the string are given in i1 (first) and
-!!     i2 (last).
-!!     The function returns an empty string if the rank would need more
-!!     characters than is allowed by the template.
-!!     For example,
-!!     \code
-!!     rank = 11
-!!     fileName = fileNameMP('base_0000.dat', 6, 9, rank)
-!!     write (logString, *), fileName
-!!     \endcode
-!!     will output base_0011.dat.
-!!
-!!     @param base the base file name, e.g., base_0000.dat.
-!!     @param i1 index of the first character that may be replaced
-!!     @param i2 index of the last character that may be replaced
-!!     @param rank the number that should be inserted into the file name.
-!!
-!!     @return file name for rank
-!<
+      
+c-----------------------------------------------------------------------
+c     The function fileNameMP takes a template of a file name in the
+c     variable base. The position of the first and last character that
+c     may be replaced by rank in the string are given in i1 (first) and
+c     i2 (last).
+c     The function returns an empty string if the rank would need more
+c     characters than is allowed by the template.
+c     For example,
+c     \code
+c     rank = 11
+c     fileName = fileNameMP('base_0000.dat', 6, 9, rank)
+c     write (*,*), fileName
+c     \endcode
+c     will output base_0011.dat.
+c     
+c     @param base the base file name, e.g., base_0000.dat.
+c     @param i1 index of the first character that may be replaced
+c     @param i2 index of the last character that may be replaced
+c     @param rank the number that should be inserted into the file name.
+c     
+c     @return file name for rank
+c-----------------------------------------------------------------------
       character*80 function fileNameMP(base, i1, i2, rank)
 
       character*(*) base
-!     i1, i2: Index of first and last character that can be replaced
-!     rank: rank of node
+c     i1, i2: Index of first and last character that can be replaced
+c     rank: rank of node
       integer i1, i2, rank
 
@@ -154,5 +150,5 @@
       endif
 
-!     TODO: Allow arbitrary rank
+c     TODO: Allow arbitrary rank
 
       if (rank.lt.10) then
@@ -169,33 +165,5 @@
          write(fileNameMP(i2-5:i2), '(i6)') rank
       endif
-      end function fileNameMP
-!     End fileNameMP
+      end function fileNameMP 
+c     End fileNameMP
 
-
-!>
-!!     Add messages to log. This routine takes the log (debugging) mes-
-!!     sages and writes them to the log file if the log level is less or
-!!     equal to the maximum log level given by the global variable
-!!     MAXLOGLEVEL.
-!!
-!!     @author Jan H. Meinke
-!!
-!!     @param loglevel level at which this message should be added to
-!!            the log.
-!!     @param message message to be written to the log.
-!!     @param rank global rank of this node if running an MPI job zero
-!!            otherwise.
-!<
-      subroutine addLogMessage(loglevel, message, rank)
-
-         integer MAXLOGLEVEL, LOGFILEUNIT
-         common /log/MAXLOGLEVEL, LOGFILEUNIT
-
-         integer :: loglevel, rank
-         character(LEN=*) :: message
-
-         if (loglevel <= MAXLOGLEVEL) then
-            write(LOGFILEUNIT, *) message
-         end if
-
-      end subroutine addLogMessage
Index: zimmer.f
===================================================================
--- zimmer.f	(revision 87ddcf7a314d90070d607f0ec7ac0a700b843abc)
+++ zimmer.f	(revision e40e335d8909b50cd784019735fcdb0c28ee19bb)
@@ -1,46 +1,43 @@
-!**************************************************************
-!
-! This file contains the subroutines: zimmer
-!
-! Copyright 2003-2005  Frank Eisenmenger, U.H.E. Hansmann,
-!                      Shura Hayryan, Chin-Ku 
-! Copyright 2007       Frank Eisenmenger, U.H.E. Hansmann,
-!                      Jan H. Meinke, Sandipan Mohanty
-!
-! CALLS: none
-!
-! **************************************************************
+c**************************************************************
+c
+c This file contains the subroutines: zimmer
+c
+c Copyright 2003-2005  Frank Eisenmenger, U.H.E. Hansmann,
+c                      Shura Hayryan, Chin-Ku 
+c Copyright 2007       Frank Eisenmenger, U.H.E. Hansmann,
+c                      Jan H. Meinke, Sandipan Mohanty
+c
+c CALLS: none
+c
+c **************************************************************
 
       
          subroutine zimmer(nresi) 
 
-! Calculates the Zimmerman-code of a configuration (Zimmerman et. al.
-! Macromolecules, vol. 10 (1977) 1-9.)
-!
-! Note the difference in Notations:
-!    SMMP:                      Zimmerman, et.al.:
-!         A                                       A
-!         B                                       B
-!         C                                       C
-!         D                                       D
-!         E                                       E
-!         F                                       F
-!         G                                       G
-!         H                                       H
-!         a                                       A*
-!         b                                       B*
-!         c                                       C*
-!         d                                       D*
-!         e                                       E*
-!         f                                       F*
-!         g                                       G*
-!         h                                       H*
-!
+C Calculates the Zimmerman-code of a configuration (Zimmerman et. al.
+C Macromolecules, vol. 10 (1977) 1-9.)
+C
+C Note the difference in Notations:
+C    SMMP:                      Zimmerman, et.al.:
+C         A                                       A
+C         B                                       B
+C         C                                       C
+C         D                                       D
+C         E                                       E
+C         F                                       F
+C         G                                       G
+C         H                                       H
+C         a                                       A*
+C         b                                       B*
+C         c                                       C*
+C         d                                       D*
+C         e                                       E*
+C         f                                       F*
+C         g                                       G*
+C         h                                       H*
+C
       include 'INCL.H'
-!f2py intent(in) nresi
+cf2py intent(in) nresi
       character*1 zim
-      double precision xphi, xpsi
-
-      integer j, nresi, i, iv, nres, nursvr
 
      
